org.cybergarage.upnp.ssdp

## Class SSDPResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.upnp.ssdp.SSDPResponse

- Direct Known Subclasses:
    SSDPSearchResponse

      public class SSDPResponse
      extends HTTPResponse

  Represents an SSDP response message.

  This class extends HTTPResponse to handle SSDP (Simple Service Discovery Protocol) response messages used in UPnP device discovery. It manages the creation and parsing of responses to M-SEARCH requests from control points.

  Key features:

  - SSDP response header management
  - ST (Search Target) header handling
  - USN (Unique Service Name) header management
  - MYNAME header support for Intel compatibility
  - HTTP/1.1 version compliance

  This class is used by UPnP devices to respond to discovery searches from control points, providing information about device capabilities and availability. It handles both standard UPnP responses and vendor-specific extensions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPResponse()`
    `SSDPResponse(InputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBootId()`
    `String` | `getHeader()`
    `int` | `getLeaseTime()`
    `String` | `getLocation()`
    `String` | `getMYNAME()`
    `String` | `getST()`
    `String` | `getUSN()`
    `void` | `setBootId(int bootId)`
    `void` | `setLeaseTime(int len)`
    `void` | `setLocation(String value)`
    `void` | `setMYNAME(String value)`
    `void` | `setST(String value)`
    `void` | `setUSN(String value)`

    - ### Methods inherited from class org.cybergarage.http.HTTPResponse

      `getStatusCode, getStatusLineString, isSuccessful, print, setStatusCode, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSDPResponse

          public SSDPResponse()

    - #### SSDPResponse

          public SSDPResponse(InputStream in)

  - ### Method Detail

    - #### getBootId

          public int getBootId()

    - #### getHeader

          public String getHeader()

      Overrides:
        `getHeader` in class `HTTPResponse`

    - #### getLeaseTime

          public int getLeaseTime()

    - #### getLocation

          public String getLocation()

    - #### getMYNAME

          public String getMYNAME()

    - #### getST

          public String getST()

    - #### getUSN

          public String getUSN()

    - #### setBootId

          public void setBootId(int bootId)

    - #### setLeaseTime

          public void setLeaseTime(int len)

    - #### setLocation

          public void setLocation(String value)

    - #### setMYNAME

          public void setMYNAME(String value)

    - #### setST

          public void setST(String value)

    - #### setUSN

          public void setUSN(String value)